Log4j 1.2.7

## org.apache.log4j.varia
Class StringMatchFilter

    java.lang.Object
      |
      +--org.apache.log4j.spi.Filter
            |
            +--org.apache.log4j.varia.StringMatchFilter

All Implemented Interfaces:
  OptionHandler

public class StringMatchFilter
extends Filter

This is a very simple filter based on string matching.

The filter admits two options StringToMatch and AcceptOnMatch. If there is a match between the value of the StringToMatch option and the message of the `LoggingEvent`, then the `decide(org.apache.log4j.spi.LoggingEvent)` method returns `Filter.ACCEPT` if the AcceptOnMatch option value is true, if it is false then `Filter.DENY` is returned. If there is no match, `Filter.NEUTRAL` is returned.

See configuration files test6.xml, test7.xml, test8.xml, test9.xml, and test10.xml for examples of seeting up a `StringMatchFilter`.

Since:
  0.9.0
Author:
  Ceki Gülcü

Field Summary
`static String` `ACCEPT_ON_MATCH_OPTION` Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.
`static String` `STRING_TO_MATCH_OPTION` Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.

Fields inherited from class org.apache.log4j.spi.Filter
`ACCEPT, DENY, NEUTRAL, next`

Constructor Summary
`StringMatchFilter()`

Method Summary
`int` `decide(LoggingEvent event)` Returns `Filter.NEUTRAL` is there is no string match.
`boolean` `getAcceptOnMatch()`
`String[]` `getOptionStrings()` Deprecated. We now use JavaBeans introspection to configure components. Options strings are no longer needed.
`String` `getStringToMatch()`
`void` `setAcceptOnMatch(boolean acceptOnMatch)`
`void` `setOption(String key, String value)` Deprecated. Use the setter method for the option directly instead of the generic `setOption` method.
`void` `setStringToMatch(String s)`

Methods inherited from class org.apache.log4j.spi.Filter
`activateOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING_TO_MATCH_OPTION

    public static final String STRING_TO_MATCH_OPTION

  Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.

### ACCEPT_ON_MATCH_OPTION

    public static final String ACCEPT_ON_MATCH_OPTION

  Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.

Constructor Detail

### StringMatchFilter

    public StringMatchFilter()

Method Detail

### getOptionStrings

    public String[] getOptionStrings()

  Deprecated. We now use JavaBeans introspection to configure components. Options strings are no longer needed.

### setOption

    public void setOption(String key,
                          String value)

  Deprecated. Use the setter method for the option directly instead of the generic `setOption` method.

### setStringToMatch

    public void setStringToMatch(String s)

### getStringToMatch

    public String getStringToMatch()

### setAcceptOnMatch

    public void setAcceptOnMatch(boolean acceptOnMatch)

### getAcceptOnMatch

    public boolean getAcceptOnMatch()

### decide

    public int decide(LoggingEvent event)

  Returns `Filter.NEUTRAL` is there is no string match.
  Overrides:
    `decide` in class `Filter`
  Following copied from class: `org.apache.log4j.spi.Filter`
  Parameters:
    `event` - The LoggingEvent to decide upon.
    `decision` - The decision of the filter.

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.